# Class Authorization

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents an authorization mechanism that determines whether a principal is granted access to a protected resource or operation.

    public class Authorization

Inheritance
  object
  Authorization

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### CanUpdate

    public bool CanUpdate { get; set; }

#### Property Value

bool

### Display

    public Display? Display { get; set; }

#### Property Value

Display

### DisplayId

    public string? DisplayId { get; set; }

#### Property Value

string

### Id

    public ObjectId Id { get; set; }

#### Property Value

ObjectId

### PanelAuthorization

    public bool PanelAuthorization { get; set; }

#### Property Value

bool

### Rol

    public string? Rol { get; set; }

#### Property Value

string

### Unit

    public Unit? Unit { get; set; }

#### Property Value

Unit

### UnitId

    public string? UnitId { get; set; }

#### Property Value

string

### User

    public User? User { get; set; }

#### Property Value

User

### UserId

    public ObjectId UserId { get; set; }

#### Property Value

ObjectId